Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.common
Class Filter<FKEY extends java.lang.Enum>

    java.lang.Object
      org.apache.ode.bpel.common.Filter<FKEY>

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BpelEventFilter, InstanceFilter, ProcessFilter

    public abstract class Filter<FKEY extends java.lang.Enum>

extends java.lang.Object
implements java.io.Serializable

Base class for filters.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Filter.Restriction<V>`

Field Summary
`protected static Messages` | `__msgs` Internationalization.
`protected java.util.Map<FKEY,Filter.Restriction<java.lang.String>>` | `_criteria`

Constructor Summary
`Filter()`

Method Summary
`static java.lang.String` | `getDateWithoutOp(java.lang.String ddf)` Get the data part of an "op date" string.
`protected abstract FKEY[]` | `getFilterKeys()` Get the list of known (recognized) filter keys.
`void` | `init(java.lang.String filter)`
`protected abstract FKEY` | `parseKey(java.lang.String keyVal)` Parse the string representation of a key into an enumeration value.
`protected abstract void` | `process(FKEY key, Filter.Restriction<java.lang.String> rest)` Perform additional parsing/processing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __msgs

    protected static final Messages __msgs

  Internationalization.

### _criteria

    protected java.util.Map<FKEY extends java.lang.Enum,Filter.Restriction<java.lang.String>> _criteria

Constructor Detail

### Filter

    public Filter()

Method Detail

### init

    public void init(java.lang.String filter)

### getDateWithoutOp

    public static java.lang.String getDateWithoutOp(java.lang.String ddf)

  Get the data part of an "op date" string.

  Parameters:
    `ddf` - "op date" string
  Returns:
    date component

### parseKey

    protected abstract FKEY parseKey(java.lang.String keyVal)

  Parse the string representation of a key into an enumeration value.

  Parameters:
    `keyVal` - string representation
  Returns:
    enumeration value

### getFilterKeys

    protected abstract FKEY[] getFilterKeys()

  Get the list of known (recognized) filter keys.

  Returns:
    recognized filter keys

### process

    protected abstract void process(FKEY key,
                                    Filter.Restriction<java.lang.String> rest)

  Perform additional parsing/processing.

  Parameters:
    `key` - filter key
    `rest` - restriction

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD